Subject: Re: [RFC PATCH 01/21] Documentation: add comparison of build systems

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Oct 2024 14:08:14 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Are there other things we use Makefile for in our current system
>> that we are forgetting in this requirements section, like "running
>> lint" or "running tests"?
>
> I was a bit torn on whether or not to add "running tests", mostly
> because it was supported by all of the proposed build systems. But
> that's probably not a good reason to not make this requirement explicit.

If a magic build system can omit tests that it can prove (by looking
at dependency graph) that they will not be affected with the change
I made to this single source file "builtin/cat-file.c", that would
certainly be welcome.

We can dream for build system that specifically cater to and know
intricate details of a language.  We should also be able to dream of
such a thing ;-)

Thanks.